import request from '@/utils/request'
// 订单付款获取用户详细信息
export function getSysDeptInfo(query) {
	return request({
		url: '/system/goodsPayment/getSysDeptInfo',
		params: query,
		method: 'get'
	})
}
// 订单结算获取用户详细信息
export function getDeptInfo() {
	return request({
		url: '/system/goodsPayment/getDeptInfo',
		method: 'get'
	})
}
// 获取用户详细信息
export function getInfo() {
	return request({
		url: '/system/user/getInfo',
		method: 'get'
	})
}
//查询手机号信息
export function accountMonitoring(query) {
	return request({
		url: '/system/gameAftermarket/sell/list',
		method: 'post',
		params: query
	})
}
//新增手机号信息
export function add(data) {
	return request({
		url: '/system/gameAftermarket/add',
		method: 'post',
		data: data
	})
}
//查询手机号信息
export function getPhone(id) {
	return request({
		url: '/system/gameAftermarket/getInfo/'+id,
		method: 'post',
	})
}
//修改手机号信息
export function upData(data) {
	return request({
		url: '/system/gameAftermarket/edit',
		method: 'put',
		data: data
	})
}


// 删除手机号信息
export function deletePhone(id) {
	return request({
		url: '/system/tBusGameBindingPhone/remove/'+id,
		method: 'delete',
	})
}
// 查看账号信息
export function view(query) {
	return request({
		url: '/system/accountMonitoring/view',
		method: 'post',
		params: query
	})
}